--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are from Cataclysm.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Cataclysm(itemID)
	for _,v in pairs(SmexyMats.Cataclysm_ReagentIDs) do
		if (tonumber(itemID) == v) then 
			return true; 
		end; 
	end;
	return false;
end;

SmexyMats.Cataclysm_ReagentIDs = {
	--Alchemy
		65460,	--	Big Cauldron of Battle
		62288,	--	Cauldron of Battle
		58142,	--	Deathblood Venom
		67415,	--	Draught of War
		58090,	--	Earthen Potion
		58093,	--	Elixir of Deep Earth
		58094,	--	Elixir of Impossible Accuracy
		58144,	--	Elixir of Mighty Speed
		58092,	--	Elixir of the Cobra
		58148,	--	Elixir of the Master
		58089,	--	Elixir of the Naga
		67438,	--	Flask of Flowing Water
		58085,	--	Flask of Steelskin
		58086,	--	Flask of the Draconic Mind
		58087,	--	Flask of the Winds
		58088,	--	Flask of Titanic Strength
		58084,	--	Ghost Elixir
		58146,	--	Golemblood Potion
		58483,	--	Lifebound Alchemist Stone
		57193,	--	Mighty Rejuvenation Potion
		57099,	--	Mysterious Potion
		57191,	--	Mythical Healing Potion
		57192,	--	Mythical Mana Potion
		57194,	--	Potion of Concentration
		58487,	--	Potion of Deepholm
		58489,	--	Potion of Illusion
		58145,	--	Potion of the Tol'vir
		58488,	--	Potion of Treasure Finding
		58143,	--	Prismatic Elixir
		68776,	--	Quicksilver Alchemist Stone
		54464,	--	Random Volatile Element
		65891,	--	Vial of the Sands
		68777,	--	Vibrant Alchemist Stone
		68775,	--	Volatile Alchemist Stone
		58091,	--	Volcanic Potion

	--Archaeology 
		69776,	--	Ancient Amber
		64355,	--	Ancient Shark Jaws
		64440,	--	Anklet with Golden Bells
		64456,	--	Arrival of the Naaru
		64348,	--	Atal'ai Scepter
		64453,	--	Baroque Sword Scabbard
		63121,	--	Beautiful Preserved Fern
		63113,	--	Belt Buckle with Anvilmar Crest
		63109,	--	Black Trilobite
		64481,	--	Blessing of the Old God
		64339,	--	Bodacious Door Knocker
		63112,	--	Bone Gaming Dice
		64646,	--	Bones of Transformation
		64340,	--	Boot Heel with Scrollwork
		64346,	--	Bracelet of Jade and Coins
		64657,	--	Canopic Jar
		64647,	--	Carcanet of the Hundred Magi
		64442,	--	Carved Harp of Exotic Wood
		64652,	--	Castle of Sand
		64653,	--	Cat Statue with Emerald Eyes
		63409,	--	Ceramic Funeral Urn
		64373,	--	Chalice of the Mountain Kings
		64379,	--	Chest of Tiny Glass Animals
		63524,	--	Cinnabar Bijou
		63407,	--	Cloak Clasp with Antlers
		64372,	--	Clockwork Gnome
		63525,	--	Coin from Eldre'Thalas
		64381,	--	Cracked Crystal Vial
		60847,	--	Crawling Claw
		64357,	--	Delicate Music Box
		64362,	--	Dented Shield of Horuz Killcrow
		64349,	--	Devilsaur Tooth
		64455,	--	Dignified Portrait
		64375,	--	Drakkari Sacrificial Knife
		64361,	--	Druid and Priest Statue Set
		66054,	--	Dwarven Baby Socks
		63523,	--	Eerie Smolderthorn Idol
		64656,	--	Engraved Scimitar Hilt
		64479,	--	Ewer of Jormungar Blood
		69764,	--	Extinct Turtle Shell
		64464,	--	Fanged Cloak Pin
		63413,	--	Feathered Gold Earring
		64385,	--	Feathered Raptor Arm
		63120,	--	Fetish of Hir'eek
		64436,	--	Fiendish Whip
		64421,	--	Fierce Wolf Figurine
		66058,	--	Fine Bloodscalp Dinnerware
		64454,	--	Fine Crystal Candelabra
		64462,	--	Flint Striker
		60955,	--	Fossilized Hatchling
		60954,	--	Fossilized Raptor
		64347,	--	Gahz'rilla Figurine
		64342,	--	Golden Chamber Pot
		64418,	--	Gray Candle Stub
		63528,	--	Green Dragon Ring
		64477,	--	Gruesome Heart Box
		64356,	--	Hairpin of Silver and Malachite
		69777,	--	Haunted War Drum
		64644,	--	Headdress of the First Shaman
		63129,	--	Highborne Pyxis
		64358,	--	Highborne Soul Mirror
		64473,	--	Imprint of a Kraken Tentacle
		64476,	--	Infested Ruby Ring
		63130,	--	Inlaid Ivory Comb
		64350,	--	Insect in Amber
		64459,	--	Intricate Treasure Chest Key
		64344,	--	Ironstar's Petrified Shield
		63412,	--	Jade Asp with Ruby Eyes
		64354,	--	Kaldorei Amphora
		64383,	--	Kaldorei Wind Chimes
		63118,	--	Lizard Foot Charm
		64417,	--	Maul of Stone Guard Mur'og
		64368,	--	Mithril Chain of Angerforge
		63414,	--	Moltenfist's Jeweled Goblet
		66055,	--	Necklace with Elune Pendant
		64460,	--	Nifflevar Bearded Axe
		64337,	--	Notched Sword of Tunadil the Redeemer
		64881,	--	Pendant of the Scarab Storm
		63408,	--	Pewter Drinking Cup
		64659,	--	Pipe of Franclorn Forgewright
		64458,	--	Plated Elekk Goad
		64468,	--	Proto-Drake Skeleton
		69821,	--	Pterrordax Hatchling
		64482,	--	Puzzle Box of Yogg-Saron
		64643,	--	Queen Azshara's Dressing Gown
		64904,	--	Ring of the Boy Emperor
		64419,	--	Rusted Steak Knife
		63131,	--	Scandalous Silk Nightgown
		64883,	--	Scepter of Azj'Aqir
		64487,	--	Scepter of Bronzebeard
		64367,	--	Scepter of Charlga Razorflank
		64420,	--	Scepter of Nekros Skullcrusher
		64475,	--	Scepter of Nezar'Azret
		64444,	--	Scepter of the Nathrezim
		64382,	--	Scepter of Xavius
		64885,	--	Scimitar of the Sirocco
		64366,	--	Scorched Staff of Shadow Priest Anund
		64461,	--	Scramseax
		66056,	--	Shard of Petrified Wood
		63526,	--	Shattered Glaive
		64483,	--	Silver Kris of Korl
		63411,	--	Silver Neck Torc
		64648,	--	Silver Scroll Case
		64478,	--	Six-Clawed Cornice
		64658,	--	Sketch of a Desert Palace
		64438,	--	Skull Drinking Cup
		64371,	--	Skull Staff of Shadowforge
		64345,	--	Skull-Shaped Planter
		64654,	--	Soapstone Scarab Necklace
		64474,	--	Spidery Sundial
		64485,	--	Spiked Gauntlets of Anvilrage
		64880,	--	Staff of Ammunae
		64489,	--	Staff of Sorcerer-Thane Thaurissan
		63410,	--	Stone Gryphon
		64443,	--	Strange Silver Paperweight
		66057,	--	Strange Velvet Worm
		64378,	--	String of Small Pink Pearls
		64488,	--	The Innkeeper's Daughter
		64457,	--	The Last Relic of Argus
		64467,	--	Thorned Necklace
		64437,	--	Tile of Glazed Clay
		64389,	--	Tiny Bronze Scorpion
		64655,	--	Tiny Oasis Mosaic
		64374,	--	Tooth with Gold Filling
		63527,	--	Twisted Ammonite Shell
		64645,	--	Tyrande's Favorite Doll
		64650,	--	Umbra Crescent
		64387,	--	Vicious Ancient Fish
		64480,	--	Vizier's Scrawled Streamer
		69824,	--	Voodoo Figurine
		69775,	--	Vrykul Drinking Horn
		64484,	--	Warmaul of Burningeye
		64343,	--	Winged Helm of Corehammer
		64651,	--	Wisp Amulet
		63111,	--	Wooden Whistle
		64486,	--	Word of Empress Zoe
		63110,	--	Worn Hunting Knife
		63115,	--	Zandalari Voodoo Doll
		64377,	--	Zin'rokh, Destroyer of Worlds

	--Blacksmithing
		71992,	--	Bracers of Destructive Strength
		70155,	--	Brainsplinter
		55044,	--	Cold-Forged Shank
		55043,	--	Decapitator's Razor
		55054,	--	Ebonsteel Belt Buckle
		55067,	--	Elementium Bonesplitter
		55060,	--	Elementium Deathplate
		55069,	--	Elementium Earthguard
		55061,	--	Elementium Girdle of Pain
		67602,	--	Elementium Gutslicer
		55065,	--	Elementium Hammer
		55066,	--	Elementium Poleaxe
		55068,	--	Elementium Shank
		55055,	--	Elementium Shield Spike
		55064,	--	Elementium Spellblade
		55070,	--	Elementium Stormshield
		70158,	--	Elementium-Edged Scalper
		69948,	--	Emberforged Elementium Boots
		69937,	--	Eternal Elementium Handguards
		55045,	--	Fire-Etched Dagger
		69936,	--	Fists of Fury
		67605,	--	Forged Elementium Mindcrusher
		71984,	--	Foundations of Courage
		55059,	--	Hardened Elementium Girdle
		55058,	--	Hardened Elementium Hauberk
		54853,	--	Hardened Obsidium Belt
		54854,	--	Hardened Obsidium Boots
		54850,	--	Hardened Obsidium Bracers
		55024,	--	Hardened Obsidium Breastplate
		54852,	--	Hardened Obsidium Gauntlets
		55023,	--	Hardened Obsidium Helm
		55022,	--	Hardened Obsidium Legguards
		55041,	--	Hardened Obsidium Shield
		54876,	--	Hardened Obsidium Shoulders
		69938,	--	Holy Flame Gauntlets
		55046,	--	Lifeforce Hammer
		55063,	--	Light Elementium Belt
		55062,	--	Light Elementium Chestguard
		70157,	--	Lightforged Elementium Hammer
		70164,	--	Masterwork Elementium Deathblade
		70156,	--	Masterwork Elementium Spellblade
		69947,	--	Mirrored Boots
		55246,	--	Obsidium Bladespear
		55052,	--	Obsidium Executioner
		55053,	--	Obsidium Skeleton Key
		71982,	--	Pyrium Legplates of Purified Evil
		55056,	--	Pyrium Shield Spike
		70162,	--	Pyrium Spellward
		55057,	--	Pyrium Weapon Chain
		55027,	--	Redsteel Belt
		55028,	--	Redsteel Boots
		55025,	--	Redsteel Bracers
		55032,	--	Redsteel Breastplate
		55026,	--	Redsteel Gauntlets
		55031,	--	Redsteel Helm
		55030,	--	Redsteel Legguards
		55029,	--	Redsteel Shoulders
		71991,	--	Soul Redeemer Bracers
		55035,	--	Stormforged Belt
		55036,	--	Stormforged Boots
		55033,	--	Stormforged Bracers
		55040,	--	Stormforged Breastplate
		55034,	--	Stormforged Gauntlets
		55039,	--	Stormforged Helm
		55038,	--	Stormforged Legguards
		55042,	--	Stormforged Shield
		55037,	--	Stormforged Shoulders
		71993,	--	Titanguard Wristplates
		70163,	--	Unbreakable Guardian
		71983,	--	Unstoppable Destroyer's Legplates
		75118,	--	Vicious Ornate Pyrium Belt
		75132,	--	Vicious Ornate Pyrium Boots
		75125,	--	Vicious Ornate Pyrium Bracers
		75128,	--	Vicious Ornate Pyrium Breastplate
		75121,	--	Vicious Ornate Pyrium Gauntlets
		75129,	--	Vicious Ornate Pyrium Helm
		75133,	--	Vicious Ornate Pyrium Legguards
		75134,	--	Vicious Ornate Pyrium Shoulders
		75123,	--	Vicious Pyrium Belt
		75120,	--	Vicious Pyrium Boots
		75124,	--	Vicious Pyrium Bracers
		75135,	--	Vicious Pyrium Breastplate
		75122,	--	Vicious Pyrium Gauntlets
		75126,	--	Vicious Pyrium Helm
		75136,	--	Vicious Pyrium Legguards
		75119,	--	Vicious Pyrium Shoulders
		69946,	--	Warboots of Mighty Lords
		70165,	--	Witch-Hunter's Harvester

	--Lockbox IDs
		68729,  --  Elementium Lockbox
	--Crafting Reagent IDs
		53065,	--	Albino Cavefish
		53071,	--	Algaefin Rockfish
		52179,	--	Alicite
		52195,	--	Amberjewel
		61979,	--	Ashen Pigment
		52985,	--	Azshara's Veil
		108362,	--	Azshara's Veil Stem
		62783,	--	Basilisk "Liver"
		53066,	--	Blackbelly Mudfish
		52979,	--	Blackened Dragonscale
		112156,	--	Blackened Dragonscale Fragment
		61978,	--	Blackfallow Ink
		62791,	--	Blood Shrimp
		53643,	--	Bolt of Embersilk Cloth
		61980,	--	Burning Embers
		52177,	--	Carnelian
		52078,	--	Chaos Orb
		52196,	--	Chimera's Eye
		52983,	--	Cinderbloom
		108360,	--	Cinderbloom Petal
		62786,	--	Cocoa Beans
		62784,	--	Crocolisk Tail
		62323,	--	Deathwing Scale Fragment
		71807,	--	Deepholm Iolite
		53072,	--	Deepsea Sagefish
		52982,	--	Deepsea Scale
		112155,	--	Deepsea Scale Fragment
		56850,	--	Deepstone Oil
		62785,	--	Delicate Wing
		52194,	--	Demonseye
		62782,	--	Dragon Flank
		52192,	--	Dream Emerald
		54440,	--	Dreamcloth
		67749,	--	Electrified Ether
		52186,	--	Elementium Bar
		52185,	--	Elementium Ore
		108308,	--	Elementium Ore Nugget
		71810,	--	Elven Peridot
		52193,	--	Ember Topaz
		53010,	--	Embersilk Cloth
		71998,	--	Essence of Destruction
		53070,	--	Fathom Eel
		65365,	--	Folded Obsidium
		62781,	--	Giant Turtle Tongue
		52719,	--	Greater Celestial Essence
		60224,	--	Handful of Obsidium Bolts
		53039,	--	Hardened Elementium Bar
		52986,	--	Heartblossom
		108363,	--	Heartblossom Petal
		52721,	--	Heavenly Shard
		56516,	--	Heavy Savage Leather
		52181,	--	Hessonite
		53064,	--	Highland Guppy
		52555,	--	Hypnotic Dust
		61981,	--	Inferno Ink
		52190,	--	Inferno Ruby
		52182,	--	Jasper
		52188,	--	Jeweler's Setting
		71808,	--	Lava Coral
		53068,	--	Lavascale Catfish
		52718,	--	Lesser Celestial Essence
		71806,	--	Lightstone
		69237,	--	Living Ember
		52722,	--	Maelstrom Crystal
		62779,	--	Monstrous Claw
		53063,	--	Mountain Trout
		53069,	--	Murglesnout
		52180,	--	Nightstone
		54849,	--	Obsidium Bar
		53038,	--	Obsidium Ore
		108307,	--	Obsidium Ore Nugget
		52191,	--	Ocean Sapphire
		67319,	--	Preserved Ogre Eye
		52980,	--	Pristine Hide
		52183,	--	Pyrite Ore
		108309,	--	Pyrite Ore Nugget
		51950,	--	Pyrium Bar
		65892,	--	Pyrium-Laced Crystalline Vial
		71805,	--	Queen's Garnet
		65893,	--	Sands of Time
		52976,	--	Savage Leather
		52977,	--	Savage Leather Scraps
		71809,	--	Shadow Spinel
		52303,	--	Shadowspirit Diamond
		53062,	--	Sharptooth
		67335,	--	Silver Charm Bracelet
		52720,	--	Small Heavenly Shard
		62780,	--	Snake Eye
		52984,	--	Stormvine
		108361,	--	Stormvine Stalk
		53067,	--	Striped Lurker
		62778,	--	Toughened Flesh
		58480,	--	Truegold
		52987,	--	Twilight Jasmine
		108364,	--	Twilight Jasmine Petal
		52328,	--	Volatile Air
		52327,	--	Volatile Earth
		52325,	--	Volatile Fire
		52329,	--	Volatile Life
		52326,	--	Volatile Water
		52988,	--	Whiptail
		108365,	--	Whiptail Stem
		52178,	--	Zephyrite
};