--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are from Mists of Pandaria.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Mists(itemID)
	for _,v in pairs(SmexyMats.Mists_ReagentIDs) do
		if (tonumber(itemID) == v) then 
			return true; 
		end; 
	end;
	return false;
end;

SmexyMats.Mists_ReagentIDs = {
	--Alchemy
		75525,	--	Alchemist's Flask
		76094,	--	Alchemist's Rejuvenation
		76096,	--	Darkwater Potion
		87872,	--	Desecrated Oil
		76081,	--	Elixir of Mirrors
		76079,	--	Elixir of Peace
		76080,	--	Elixir of Perfection
		76078,	--	Elixir of the Rapids
		76077,	--	Elixir of Weaponry
		76086,	--	Flask of Falling Leaves
		76084,	--	Flask of Spring Blossoms
		76087,	--	Flask of the Earth
		76085,	--	Flask of the Warm Sun
		76088,	--	Flask of Winter's Bite
		76076,	--	Mad Hozen Elixir
		76075,	--	Mantid Elixir
		76097,	--	Master Healing Potion
		76098,	--	Master Mana Potion
		76083,	--	Monk's Elixir
		76092,	--	Potion of Focus
		93351,	--	Potion of Luck
		76095,	--	Potion of Mogu Power
		76093,	--	Potion of the Jade Serpent
		76090,	--	Potion of the Mountains
		76089,	--	Virmen's Bite
		75274,	--	Zen Alchemist Stone

	--Archaeology
		89614,	--	Anatomical Dummy
		95391,	--	Mantid Sky Reaver
		89611,	--	Quilen Statuette
		95392,	--	Sonic Pulse Generator
		89685,	--	Spear of Xuen
		89684,	--	Umbrella of Chi-Ji
	
	--Blacksmithing
		98607,	--	Avenger's Trillium Legplates
		98616,	--	Avenger's Trillium Waistplate
		94577,	--	Black Planar Edge, Reborn
		94591,	--	Blazefury, Reborn
		94589,	--	Blazeguard, Reborn
		98611,	--	Blessed Trillium Belt
		98602,	--	Blessed Trillium Greaves
		87407,	--	Bloodforged Warfists
		94580,	--	Bloodmoon, Reborn
		82979,	--	Breastplate of Ancient Steel
		87403,	--	Chestplate of Limitless Faith
		82950,	--	Contender's Revenant Belt
		82949,	--	Contender's Revenant Boots
		82948,	--	Contender's Revenant Bracers
		82945,	--	Contender's Revenant Breastplate
		82946,	--	Contender's Revenant Gauntlets
		82943,	--	Contender's Revenant Helm
		82947,	--	Contender's Revenant Legplates
		82944,	--	Contender's Revenant Shoulders
		82958,	--	Contender's Spirit Belt
		82957,	--	Contender's Spirit Boots
		82956,	--	Contender's Spirit Bracers
		82953,	--	Contender's Spirit Breastplate
		82954,	--	Contender's Spirit Gauntlets
		82951,	--	Contender's Spirit Helm
		82955,	--	Contender's Spirit Legplates
		82952,	--	Contender's Spirit Shoulders
		93548,	--	Crafted Dreadful Gladiator's Armplates of Alacrity
		93547,	--	Crafted Dreadful Gladiator's Armplates of Proficiency
		93537,	--	Crafted Dreadful Gladiator's Bracers of Meditation
		93536,	--	Crafted Dreadful Gladiator's Bracers of Prowess
		93532,	--	Crafted Dreadful Gladiator's Clasp of Cruelty
		93533,	--	Crafted Dreadful Gladiator's Clasp of Meditation
		93453,	--	Crafted Dreadful Gladiator's Dreadplate Chestpiece
		93454,	--	Crafted Dreadful Gladiator's Dreadplate Gauntlets
		93455,	--	Crafted Dreadful Gladiator's Dreadplate Helm
		93456,	--	Crafted Dreadful Gladiator's Dreadplate Legguards
		93457,	--	Crafted Dreadful Gladiator's Dreadplate Shoulders
		93543,	--	Crafted Dreadful Gladiator's Girdle of Accuracy
		93544,	--	Crafted Dreadful Gladiator's Girdle of Prowess
		93534,	--	Crafted Dreadful Gladiator's Greaves of Alacrity
		93535,	--	Crafted Dreadful Gladiator's Greaves of Meditation
		93538,	--	Crafted Dreadful Gladiator's Ornamented Chestguard
		93539,	--	Crafted Dreadful Gladiator's Ornamented Gloves
		93540,	--	Crafted Dreadful Gladiator's Ornamented Headcover
		93541,	--	Crafted Dreadful Gladiator's Ornamented Legplates
		93542,	--	Crafted Dreadful Gladiator's Ornamented Spaulders
		93620,	--	Crafted Dreadful Gladiator's Plate Chestpiece
		93621,	--	Crafted Dreadful Gladiator's Plate Gauntlets
		93622,	--	Crafted Dreadful Gladiator's Plate Helm
		93623,	--	Crafted Dreadful Gladiator's Plate Legguards
		93624,	--	Crafted Dreadful Gladiator's Plate Shoulders
		93527,	--	Crafted Dreadful Gladiator's Scaled Chestpiece
		93528,	--	Crafted Dreadful Gladiator's Scaled Gauntlets
		93529,	--	Crafted Dreadful Gladiator's Scaled Helm
		93530,	--	Crafted Dreadful Gladiator's Scaled Legguards
		93531,	--	Crafted Dreadful Gladiator's Scaled Shoulders
		93546,	--	Crafted Dreadful Gladiator's Warboots of Alacrity
		93545,	--	Crafted Dreadful Gladiator's Warboots of Cruelty
		98864,	--	Crafted Malevolent Gladiator's Armplates of Alacrity
		98863,	--	Crafted Malevolent Gladiator's Armplates of Proficiency
		98776,	--	Crafted Malevolent Gladiator's Barrier
		98853,	--	Crafted Malevolent Gladiator's Bracers of Meditation
		98852,	--	Crafted Malevolent Gladiator's Bracers of Prowess
		98848,	--	Crafted Malevolent Gladiator's Clasp of Cruelty
		98849,	--	Crafted Malevolent Gladiator's Clasp of Meditation
		98784,	--	Crafted Malevolent Gladiator's Dreadplate Chestpiece
		98785,	--	Crafted Malevolent Gladiator's Dreadplate Gauntlets
		98786,	--	Crafted Malevolent Gladiator's Dreadplate Helm
		98787,	--	Crafted Malevolent Gladiator's Dreadplate Legguards
		98788,	--	Crafted Malevolent Gladiator's Dreadplate Shoulders
		98859,	--	Crafted Malevolent Gladiator's Girdle of Accuracy
		98860,	--	Crafted Malevolent Gladiator's Girdle of Prowess
		98850,	--	Crafted Malevolent Gladiator's Greaves of Alacrity
		98851,	--	Crafted Malevolent Gladiator's Greaves of Meditation
		98854,	--	Crafted Malevolent Gladiator's Ornamented Chestguard
		98855,	--	Crafted Malevolent Gladiator's Ornamented Gloves
		98856,	--	Crafted Malevolent Gladiator's Ornamented Headcover
		98857,	--	Crafted Malevolent Gladiator's Ornamented Legplates
		98858,	--	Crafted Malevolent Gladiator's Ornamented Spaulders
		98926,	--	Crafted Malevolent Gladiator's Plate Chestpiece
		98927,	--	Crafted Malevolent Gladiator's Plate Gauntlets
		98928,	--	Crafted Malevolent Gladiator's Plate Helm
		98929,	--	Crafted Malevolent Gladiator's Plate Legguards
		98930,	--	Crafted Malevolent Gladiator's Plate Shoulders
		98810,	--	Crafted Malevolent Gladiator's Redoubt
		98843,	--	Crafted Malevolent Gladiator's Scaled Chestpiece
		98844,	--	Crafted Malevolent Gladiator's Scaled Gauntlets
		98845,	--	Crafted Malevolent Gladiator's Scaled Helm
		98846,	--	Crafted Malevolent Gladiator's Scaled Legguards
		98847,	--	Crafted Malevolent Gladiator's Scaled Shoulders
		98920,	--	Crafted Malevolent Gladiator's Shield Wall
		98862,	--	Crafted Malevolent Gladiator's Warboots of Alacrity
		98861,	--	Crafted Malevolent Gladiator's Warboots of Cruelty
		95359,	--	Decorative Spoons
		94583,	--	Deep Thunder, Reborn
		94584,	--	Dragonmaw, Reborn
		94585,	--	Dragonstrike, Reborn
		94581,	--	Drakefist Hammer, Reborn
		94587,	--	Fireguard, Reborn
		82963,	--	Forgewire Axe
		82980,	--	Gauntlets of Ancient Steel
		87406,	--	Gauntlets of Battle Command
		87404,	--	Gauntlets of Unbound Devotion
		95363,	--	Ghost Iron Barrel
		95369,	--	Ghost Iron Bells
		95368,	--	Ghost Iron Bowls
		95370,	--	Ghost Iron Crate
		95367,	--	Ghost Iron Cups
		95484,	--	Ghost Iron Frames
		95357,	--	Ghost Iron Hook
		95355,	--	Ghost Iron Ladle
		95362,	--	Ghost Iron Needles
		95485,	--	Ghost Iron Pans
		95483,	--	Ghost Iron Picks
		95351,	--	Ghost Iron Pins
		95356,	--	Ghost Iron Poker
		95366,	--	Ghost Iron Pot
		95364,	--	Ghost Iron Saw
		86599,	--	Ghost Iron Shield Spike
		95361,	--	Ghost Iron Spade
		95358,	--	Ghost Iron Spatulas
		95486,	--	Ghost Iron Statue
		95365,	--	Ghost Iron Wire
		95354,	--	Ghost Iron Wok
		82975,	--	Ghost Reaver's Breastplate
		82976,	--	Ghost Reaver's Gauntlets
		82967,	--	Ghost Shard
		82934,	--	Ghost-Forged Belt
		82910,	--	Ghost-Forged Belt
		82964,	--	Ghost-Forged Blade
		82933,	--	Ghost-Forged Boots
		82909,	--	Ghost-Forged Boots
		82932,	--	Ghost-Forged Bracers
		82908,	--	Ghost-Forged Bracers
		82929,	--	Ghost-Forged Breastplate
		82905,	--	Ghost-Forged Breastplate
		82930,	--	Ghost-Forged Gauntlets
		82906,	--	Ghost-Forged Gauntlets
		82927,	--	Ghost-Forged Helm
		82903,	--	Ghost-Forged Helm
		82931,	--	Ghost-Forged Legplates
		82907,	--	Ghost-Forged Legplates
		82928,	--	Ghost-Forged Shoulders
		82904,	--	Ghost-Forged Shoulders
		82960,	--	Ghostly Skeleton Key
		94266,	--	Haunted Steel Greathelm
		94263,	--	Haunted Steel Greaves
		94264,	--	Haunted Steel Headcover
		94268,	--	Haunted Steel Headguard
		94265,	--	Haunted Steel Treads
		94267,	--	Haunted Steel Warboots
		82961,	--	Lightsteel Shield
		94588,	--	Lionheart Blade, Reborn
		94590,	--	Lionheart Champion, Reborn
		94592,	--	Lionheart Executioner, Reborn
		90046,	--	Living Steel Belt Buckle
		82977,	--	Living Steel Breastplate
		82978,	--	Living Steel Gauntlets
		86597,	--	Living Steel Weapon Chain
		94576,	--	Lunar Crescent, Reborn
		82970,	--	Masterwork Forgewire Axe
		82974,	--	Masterwork Ghost Shard
		82971,	--	Masterwork Ghost-Forged Blade
		82968,	--	Masterwork Lightsteel Shield
		82972,	--	Masterwork Phantasmal Hammer
		82973,	--	Masterwork Spiritblade Decimator
		82926,	--	Masterwork Spiritguard Belt
		82925,	--	Masterwork Spiritguard Boots
		82924,	--	Masterwork Spiritguard Bracers
		82921,	--	Masterwork Spiritguard Breastplate
		82922,	--	Masterwork Spiritguard Gauntlets
		82919,	--	Masterwork Spiritguard Helm
		82923,	--	Masterwork Spiritguard Legplates
		82969,	--	Masterwork Spiritguard Shield
		82920,	--	Masterwork Spiritguard Shoulders
		94578,	--	Mooncleaver, Reborn
		87402,	--	Ornate Battleplate of the Master
		82965,	--	Phantasmal Hammer
		98606,	--	Protector's Trillium Legguards
		98615,	--	Protector's Trillium Waistguard
		95353,	--	Simple Eating Utensils
		82966,	--	Spiritblade Decimator
		82962,	--	Spiritguard Shield
		94586,	--	Stormherald, Reborn
		94575,	--	The Planar Edge, Reborn
		94582,	--	Thunder, Reborn
		87405,	--	Unyielding Bloodplate
		94579,	--	Wicked Edge of the Planes, Reborn
		
	--Lockbox IDs
		88567,  --  Ghost-Iron-Lockbox
	--Crafting Reagent IDs
		112157,	--	Prismatic Scale Fragment
		74853,	--	100 Year Soy Sauce
		102541,	--	Aged Balsamic Vinegar
		102543,	--	Aged Mogu'shan Cheese
		76137,	--	Alexandrite
		102542,	--	Ancient Pandaren Spices
		98717,	--	Balanced Trillium Ingot
		74832,	--	Barley
		74661,	--	Black Pepper
		72094,	--	Black Trillium Ore
		80433,	--	Blood Spirit
		82441,	--	Bolt of Windwool Cloth
		98619,	--	Celestial Cloth
		79246,	--	Delicate Blossom Petals
		89639,	--	Desecrated Herb
		97624,	--	Desecrated Herb Pod
		74859,	--	Emperor Salmon
		74247,	--	Ethereal Shard
		72120,	--	Exotic Leather
		74659,	--	Farm Chicken
		79011,	--	Fool's Cap
		97623,	--	Fool's Cap Spores
		102536,	--	Fresh Lushroom
		102540,	--	Fresh Mangos
		79250,	--	Fresh Pomfruit
		102538,	--	Fresh Shao-Tien Rice
		102537,	--	Fresh Silkfeather Hawk Eggs
		102539,	--	Fresh Strawberries
		72096,	--	Ghost Iron Bar
		77467,	--	Ghost Iron Bolts
		97512,	--	Ghost Iron Nugget
		72092,	--	Ghost Iron Ore
		74857,	--	Giant Mantis Shrimp
		74845,	--	Ginseng
		74866,	--	Golden Carp
		72238,	--	Golden Lotus
		74840,	--	Green Cabbage
		72234,	--	Green Tea Leaf
		98617,	--	Hardened Magnificent Hide
		94289,	--	Haunting Spirit
		77468,	--	High-Explosive Gunpowder
		76141,	--	Imperial Amethyst
		82447,	--	Imperial Silk
		79254,	--	Ink of Dreams
		74854,	--	Instant Noodles
		74856,	--	Jade Lungfish
		74847,	--	Jade Squash
		94113,	--	Jard's Peculiar Energy Source
		74863,	--	Jewel Danio
		74841,	--	Juicycrunch Carrot
		74865,	--	Krasarang Paddlefish
		72093,	--	Kyparite
		97546,	--	Kyparite Fragment
		76133,	--	Lapis Lazuli
		94111,	--	Lightning Steel Ingot
		72104,	--	Living Steel
		72163,	--	Magnificent Hide
		79253,	--	Misty Pigment
		74842,	--	Mogu Pumpkin
		89112,	--	Mote of Harmony
		74834,	--	Mushan Ribs
		74250,	--	Mysterious Essence
		85583,	--	Needle Mushrooms
		83092,	--	Orb of Mystery
		74660,	--	Pandaren Peach
		76136,	--	Pandarian Garnet
		74849,	--	Pink Turnip
		76132,	--	Primal Diamond
		76131,	--	Primordial Ruby
		79101,	--	Prismatic Scale
		72237,	--	Rain Poppy
		97620,	--	Rain Poppy Petal
		74838,	--	Raw Crab Meat
		75014,	--	Raw Crocolisk Belly
		74833,	--	Raw Tiger Steak
		74837,	--	Raw Turtle Meat
		85585,	--	Red Beans
		74844,	--	Red Blossom Leek
		74860,	--	Redbelly Mandarin
		74864,	--	Reef Octopus
		87399,	--	Restored Artifact
		74851,	--	Rice
		74662,	--	Rice Flour
		76138,	--	River's Heart
		76135,	--	Roguestone
		74843,	--	Scallions
		79731,	--	Scroll of Wisdom
		76734,	--	Serpent's Eye
		74248,	--	Sha Crystal
		79251,	--	Shadow Pigment
		72162,	--	Sha-Touched Leather
		72235,	--	Silkweed
		97621,	--	Silkweed Stem
		85584,	--	Silkworm Pupa
		74252,	--	Small Ethereal Shard
		79010,	--	Snow Lily
		97622,	--	Snow Lily Petal
		90407,	--	Sparkling Shard
		83064,	--	Spinefish
		74249,	--	Spirit Dust
		76061,	--	Spirit of Harmony
		102218,	--	Spirit of War
		79255,	--	Starlight Ink
		74848,	--	Striped Melon
		76142,	--	Sun's Radiance
		76134,	--	Sunstone
		74861,	--	Tiger Gourami
		76130,	--	Tiger Opal
		87828,	--	Tigersblood Pigment
		90146,	--	Tinker's Kit
		97619,	--	Torn Green Tea Leaf
		72095,	--	Trillium Bar
		76140,	--	Vermilion Onyx
		85506,	--	Viseclaw Meat
		72103,	--	White Trillium Ore
		74850,	--	White Turnip
		76139,	--	Wild Jade
		74839,	--	Wildfowl Breast
		72988,	--	Windwool Cloth
		74846,	--	Witchberries
		74852,	--	Yak Milk
};