--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are from Wrath of the Lich King.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_WotLK(itemID)
	for _,v in pairs(SmexyMats.WotLK_ReagentIDs) do
		if (tonumber(itemID) == v) then 
			return true; 
		end; 
	end;
	return false;
end;

SmexyMats.WotLK_ReagentIDs = {
	--Crafted by Alchemy ::: WotLK
		40077,	--	Crazy Alchemist's Potion
		44325,	--	Elixir of Accuracy
		44330,	--	Elixir of Armor Piercing
		44327,	--	Elixir of Deadly Strikes
		44329,	--	Elixir of Expertise
		44331,	--	Elixir of Lightning Speed
		39666,	--	Elixir of Mighty Agility
		44328,	--	Elixir of Mighty Defense
		40078,	--	Elixir of Mighty Fortitude
		40109,	--	Elixir of Mighty Mageblood
		40073,	--	Elixir of Mighty Strength
		44332,	--	Elixir of Mighty Thoughts
		45621,	--	Elixir of Minor Accuracy
		40097,	--	Elixir of Protection
		40072,	--	Elixir of Versatility
		43569,	--	Endless Healing Potion
		43570,	--	Endless Mana Potion
		46377,	--	Flask of Endless Rage
		46378,	--	Flask of Pure Mojo
		46379,	--	Flask of Stoneblood
		46376,	--	Flask of the Frost Wyrm
		40076,	--	Guru's Elixir
		40067,	--	Icy Mana Potion
		44323,	--	Indestructible Alchemist Stone
		40093,	--	Indestructible Potion
		40079,	--	Lesser Flask of Toughness
		44322,	--	Mercurial Alchemist Stone
		44324,	--	Mighty Alchemist Stone
		40213,	--	Mighty Arcane Protection Potion
		40214,	--	Mighty Fire Protection Potion
		40215,	--	Mighty Frost Protection Potion
		40216,	--	Mighty Nature Protection Potion
		40217,	--	Mighty Shadow Protection Potion
		40081,	--	Potion of Nightmares
		40211,	--	Potion of Speed
		40212,	--	Potion of Wild Magic
		40087,	--	Powerful Rejuvenation Potion
		39671,	--	Resurgent Healing Potion
		33447,	--	Runic Healing Potion
		33448,	--	Runic Mana Potion
		40070,	--	Spellpower Elixir
		40068,	--	Wrath Elixir
	
	--Blacksmithing
		45559,	--	Battlelord's Plate Boots
		45550,	--	Belt of the Titans
		49907,	--	Boots of Kingly Upheaval
		47591,	--	Breastplate of the White Knight
		47592,	--	Breastplate of the White Knight
		43860,	--	Brilliant Saronite Belt
		41128,	--	Brilliant Saronite Boots
		43864,	--	Brilliant Saronite Bracers
		41129,	--	Brilliant Saronite Breastplate
		41127,	--	Brilliant Saronite Gauntlets
		43870,	--	Brilliant Saronite Helm
		41126,	--	Brilliant Saronite Legplates
		43865,	--	Brilliant Saronite Pauldrons
		41388,	--	Brilliant Titansteel Helm
		41394,	--	Brilliant Titansteel Treads
		41189,	--	Chestplate of Conquest
		39087,	--	Cobalt Belt
		39088,	--	Cobalt Boots
		41974,	--	Cobalt Bracers
		39085,	--	Cobalt Chestpiece
		41975,	--	Cobalt Gauntlets
		39084,	--	Cobalt Helm
		39086,	--	Cobalt Legplates
		39083,	--	Cobalt Shoulders
		43854,	--	Cobalt Skeleton Key
		41240,	--	Cobalt Tenderizer
		40668,	--	Cobalt Triangle Shield
		41186,	--	Corroded Saronite Edge
		41187,	--	Corroded Saronite Woundbringer
		42443,	--	Cudgel of Saronite Justice
		41357,	--	Daunting Handguards
		41345,	--	Daunting Legplates
		41611,	--	Eternal Belt Buckle
		41242,	--	Forged Cobalt Claymore
		41185,	--	Furious Saronite Beatstick
		49906,	--	Hellfrozen Bonegrinders
		41344,	--	Helm of Command
		41181,	--	Honed Cobalt Cleaver
		40955,	--	Horned Cobalt Helm
		43586,	--	Icebane Chestguard
		43587,	--	Icebane Girdle
		43588,	--	Icebane Treads
		45551,	--	Indestructible Plate Girdle
		41190,	--	Legplates of Conquest
		49903,	--	Legplates of Painful Death
		41243,	--	Notched Cobalt War Axe
		42723,	--	Ornate Saronite Bracers
		42724,	--	Ornate Saronite Gauntlets
		42725,	--	Ornate Saronite Hauberk
		42726,	--	Ornate Saronite Legplates
		42727,	--	Ornate Saronite Pauldrons
		42728,	--	Ornate Saronite Skullshield
		42729,	--	Ornate Saronite Waistguard
		42730,	--	Ornate Saronite Walkers
		49904,	--	Pillars of Might
		45552,	--	Plate Girdle of Righteousness
		49905,	--	Protectors of Life
		49902,	--	Puresteel Legplates
		40959,	--	Reinforced Cobalt Chestpiece
		40957,	--	Reinforced Cobalt Helm
		40958,	--	Reinforced Cobalt Legplates
		40956,	--	Reinforced Cobalt Shoulders
		41356,	--	Righteous Gauntlets
		41346,	--	Righteous Greaves
		41183,	--	Saronite Ambusher
		41113,	--	Saronite Bulwark
		40670,	--	Saronite Defender
		41188,	--	Saronite Mindcrusher
		41117,	--	Saronite Protector
		41184,	--	Saronite Shiv
		43871,	--	Saronite Spellblade
		47571,	--	Saronite Swordbreakers
		47570,	--	Saronite Swordbreakers
		41182,	--	Savage Cobalt Slicer
		41354,	--	Savage Saronite Bracers
		41349,	--	Savage Saronite Gauntlets
		41353,	--	Savage Saronite Hauberk
		41347,	--	Savage Saronite Legplates
		41351,	--	Savage Saronite Pauldrons
		41350,	--	Savage Saronite Skullshield
		41352,	--	Savage Saronite Waistguard
		41348,	--	Savage Saronite Walkers
		40953,	--	Spiked Cobalt Belt
		40949,	--	Spiked Cobalt Boots
		40954,	--	Spiked Cobalt Bracers
		40951,	--	Spiked Cobalt Chestpiece
		40952,	--	Spiked Cobalt Gauntlets
		40942,	--	Spiked Cobalt Helm
		40943,	--	Spiked Cobalt Legplates
		40950,	--	Spiked Cobalt Shoulders
		45560,	--	Spiked Deathdealers
		41386,	--	Spiked Titansteel Helm
		41391,	--	Spiked Titansteel Treads
		41239,	--	Sturdy Cobalt Quickblade
		47574,	--	Sunforged Bracers
		47575,	--	Sunforged Bracers
		47593,	--	Sunforged Breastplate
		47594,	--	Sunforged Breastplate
		40669,	--	Tempered Saronite Belt
		40671,	--	Tempered Saronite Boots
		41116,	--	Tempered Saronite Bracers
		40672,	--	Tempered Saronite Breastplate
		41114,	--	Tempered Saronite Gauntlets
		40673,	--	Tempered Saronite Helm
		40674,	--	Tempered Saronite Legplates
		40675,	--	Tempered Saronite Shoulders
		41387,	--	Tempered Titansteel Helm
		41392,	--	Tempered Titansteel Treads
		44936,	--	Titanium Plating
		47589,	--	Titanium Razorplate
		47590,	--	Titanium Razorplate
		42500,	--	Titanium Shield Spike
		43853,	--	Titanium Skeleton Key
		47572,	--	Titanium Spikeguards
		47573,	--	Titanium Spikeguards
		41976,	--	Titanium Weapon Chain
		41383,	--	Titansteel Bonecrusher
		41257,	--	Titansteel Destroyer
		41384,	--	Titansteel Guardian
		42435,	--	Titansteel Shanker
		42508,	--	Titansteel Shield Wall
		45085,	--	Titansteel Spellblade
		45561,	--	Treads of Destiny
		41355,	--	Vengeance Bindings

	--Misc Items
		42780,	--	Relic of Ulduar
	--Lockbox IDs
		45986, 	-- 	Tiny Titanium Lockbox
		43624,	--	Titanium Lockbox
		43622, 	--	Froststeel Lockbox
	--Crafting Reagent IDs
		34057,	--	Abyss Crystal
		36903,	--	Adder's Tongue
		108353,	--	Adder's Tongue Stem
		39151,	--	Alabaster Pigment
		36931,	--	Ametrine
		44128,	--	Arctic Fur
		44835,	--	Autumnal Herbs
		36921,	--	Autumn's Glow
		39343,	--	Azure Pigment
		41812,	--	Barrelhead Goby
		36917,	--	Bloodstone
		41510,	--	Bolt of Frostweave
		41511,	--	Bolt of Imbued Frostweave
		41808,	--	Bonescale Snapper
		33568,	--	Borean Leather
		33567,	--	Borean Leather Scraps
		41805,	--	Borean Man O' War
		43104,	--	Burnt Pigment
		36919,	--	Cardinal Ruby
		43120,	--	Celestial Ink
		36923,	--	Chalcedony
		43013,	--	Chilled Meat
		34736,	--	Chunk o' Mammoth
		36916,	--	Cobalt Bar
		36909,	--	Cobalt Ore
		108305,	--	Cobalt Ore Nugget
		47556,	--	Crusader Orb
		37700,	--	Crystallized Air
		37701,	--	Crystallized Earth
		37702,	--	Crystallized Fire
		37704,	--	Crystallized Life
		37703,	--	Crystallized Shadow
		37705,	--	Crystallized Water
		36932,	--	Dark Jade
		43125,	--	Darkflame Ink
		43117,	--	Dawnstar Ink
		37921,	--	Deadnettle
		108358,	--	Deadnettle Bramble
		41800,	--	Deep Sea Monsterbelly
		41807,	--	Dragonfin Angelfish
		42225,	--	Dragon's Eye
		36928,	--	Dreadstone
		34052,	--	Dream Shard
		39334,	--	Dusky Pigment
		41334,	--	Earthsiege Diamond
		43108,	--	Ebon Pigment
		41593,	--	Ebonweave
		44500,	--	Elementium-Plated Exhaust Pipe
		39339,	--	Emerald Pigment
		35623,	--	Eternal Air
		35624,	--	Eternal Earth
		36860,	--	Eternal Fire
		35625,	--	Eternal Life
		35627,	--	Eternal Shadow
		35622,	--	Eternal Water
		38426,	--	Eternium Thread
		43124,	--	Ethereal Ink
		44958,	--	Ethereal Oil
		36934,	--	Eye of Zul
		41810,	--	Fangtooth Herring
		43121,	--	Fiery Ink
		39970,	--	Fire Leaf
		108359,	--	Fire Leaf Bramble
		36933,	--	Forest Emerald
		36908,	--	Frost Lotus
		39683,	--	Froststeel Tube
		33470,	--	Frostweave Cloth
		43102,	--	Frozen Orb
		41809,	--	Glacial Salmon
		41814,	--	Glassfin Minnow
		44501,	--	Goblin-Machined Piston
		36901,	--	Goldclover
		108352,	--	Goldclover Leaf
		39338,	--	Golden Pigment
		34055,	--	Greater Cosmic Essence
		39684,	--	Hair Trigger
		39681,	--	Handful of Cobalt Bolts
		38425,	--	Heavy Borean Leather
		44853,	--	Honey
		36929,	--	Huge Citrine
		43115,	--	Hunter's Ink
		36906,	--	Icethorn
		108356,	--	Icethorn Bramble
		42253,	--	Iceweb Spider Silk
		38557,	--	Icy Dragonscale
		112158,	--	Icy Dragonscale Fragment
		43109,	--	Icy Pigment
		41802,	--	Imperial Manta Ray
		43105,	--	Indigo Pigment
		34054,	--	Infinite Dust
		43126,	--	Ink of the Sea
		43123,	--	Ink of the Sky
		43118,	--	Jadefire Ink
		38561,	--	Jormungar Scale
		112178,	--	Jormungar Scale Fragment
		36922,	--	King's Amber
		34056,	--	Lesser Cosmic Essence
		36905,	--	Lichbloom
		108355,	--	Lichbloom Stalk
		39354,	--	Light Parchment
		43116,	--	Lion's Ink
		36925,	--	Majestic Zircon
		39774,	--	Midnight Ink
		36930,	--	Monarch Topaz
		41801,	--	Moonglow Cuttlefish
		39469,	--	Moonglow Ink
		41594,	--	Moonshroud
		41806,	--	Musselback Sculpin
		38558,	--	Nerubian Chitin
		112177,	--	Nerubian Chitin Fragment
		39342,	--	Nether Pigment
		41813,	--	Nettlefish
		43501,	--	Northern Egg
		43007,	--	Northern Spices
		36783,	--	Northsea Pearl
		39682,	--	Overcharged Capacitor
		49908,	--	Primordial Saronite
		40195,	--	Pygmy Oil
		40199,	--	Pygmy Suckerfish
		43012,	--	Rhino Meat
		41803,	--	Rockfin Grouper
		43119,	--	Royal Ink
		43106,	--	Ruby Pigment
		45087,	--	Runed Orb
		44499,	--	Salvaged Iron Golem Parts
		43107,	--	Sapphire Pigment
		36913,	--	Saronite Bar
		36912,	--	Saronite Ore
		108306,	--	Saronite Ore Nugget
		36918,	--	Scarlet Ruby
		36926,	--	Shadow Crystal
		43122,	--	Shimmering Ink
		43009,	--	Shoveltusk Flank
		39341,	--	Silvery Pigment
		36784,	--	Siren's Tear
		36924,	--	Sky Sapphire
		41266,	--	Skyflare Diamond
		34053,	--	Small Dream Shard
		43127,	--	Snowfall Ink
		41595,	--	Spellweave
		36782,	--	Succulent Clam Meat
		36920,	--	Sun Crystal
		36907,	--	Talandra's Rose
		108357,	--	Talandra's Rose Petal
		36904,	--	Tiger Lily
		108354,	--	Tiger Lily Petal
		41163,	--	Titanium Bar
		36910,	--	Titanium Ore
		108391,	--	Titanium Ore Nugget
		37663,	--	Titansteel Bar
		36927,	--	Twilight Opal
		43103,	--	Verdant Pigment
		39340,	--	Violet Pigment
		39690,	--	Volatile Blasting Trigger
		40533,	--	Walnut Stock
		44834,	--	Wild Turkey
		43011,	--	Worg Haunch
		43010,	--	Worm Meat
};