--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are World Drops
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:Is_WorldDrop(iID)
	for k, v in pairs(SmexyMats.ItemsFrom_WorldDrop) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false;
end;

SmexyMats.ItemsFrom_WorldDrop = {
	--Alchemy Items World Drop ::: Legion
		127834,	--	Ancient Healing Potion
		127835,	--	Ancient Mana Potion
		127836,	--	Ancient Rejuvenation Potion
		127839,	--	Avalanche Elixir
		127837,	--	Draught of Raw Magic
		127850,	--	Flask of Ten Thousand Scars
		127849,	--	Flask of the Countless Armies
		127848,	--	Flask of the Seventh Demon
		127847,	--	Flask of the Whispered Pact
		127846,	--	Leytorrent Potion
		127843,	--	Potion of Deadly Grace
		127844,	--	Potion of the Old War
		127840,	--	Skaggldrynk
		127841,	--	Skystep Potion
		127838,	--	Sylvan Elixir
		127845,	--	Unbending Potion
	
	--Alchemy Items World Drop ::: WoD
		109145,	--	Draenic Agility Flask
		109217,	--	Draenic Agility Potion
		109147,	--	Draenic Intellect Flask
		109218,	--	Draenic Intellect Potion
		116268,	--	Draenic Invisibility Potion
		116276,	--	Draenic Living Action Potion
		109222,	--	Draenic Mana Potion
		109226,	--	Draenic Rejuvenation Potion
		109152,	--	Draenic Stamina Flask
		109148,	--	Draenic Strength Flask
		109219,	--	Draenic Strength Potion
		116266,	--	Draenic Swiftness Potion
		109220,	--	Draenic Versatility Potion
		116271,	--	Draenic Water Breathing Elixir
		118711,	--	Draenic Water Walking Elixir
		109153,	--	Greater Draenic Agility Flask
		109155,	--	Greater Draenic Intellect Flask
		109160,	--	Greater Draenic Stamina Flask
		109156,	--	Greater Draenic Strength Flask
		118704,	--	Pure Rage Potion
		112090,	--	Transmorphic Tincture

	--Alchemy Items World Drop ::: MoP
		76094,	--	Alchemist's Rejuvenation
		76096,	--	Darkwater Potion
		76081,	--	Elixir of Mirrors
		76079,	--	Elixir of Peace
		76080,	--	Elixir of Perfection
		76078,	--	Elixir of the Rapids
		76077,	--	Elixir of Weaponry
		76086,	--	Flask of Falling Leaves
		76084,	--	Flask of Spring Blossoms
		76087,	--	Flask of the Earth
		76085,	--	Flask of the Warm Sun
		76088,	--	Flask of Winter's Bite
		76076,	--	Mad Hozen Elixir
		76075,	--	Mantid Elixir
		76097,	--	Master Healing Potion
		76098,	--	Master Mana Potion
		76083,	--	Monk's Elixir
		76092,	--	Potion of Focus
		76095,	--	Potion of Mogu Power
		76093,	--	Potion of the Jade Serpent
		76090,	--	Potion of the Mountains
		76089,	--	Virmen's Bite

	--Alchemy Items World Drop ::: Cataclysm
		58090,	--	Earthen Potion
		58093,	--	Elixir of Deep Earth
		58094,	--	Elixir of Impossible Accuracy
		58144,	--	Elixir of Mighty Speed
		58092,	--	Elixir of the Cobra
		58148,	--	Elixir of the Master
		58089,	--	Elixir of the Naga
		67438,	--	Flask of Flowing Water
		58085,	--	Flask of Steelskin
		58086,	--	Flask of the Draconic Mind
		58087,	--	Flask of the Winds
		58088,	--	Flask of Titanic Strength
		58146,	--	Golemblood Potion
		57193,	--	Mighty Rejuvenation Potion
		57191,	--	Mythical Healing Potion
		57192,	--	Mythical Mana Potion
		57194,	--	Potion of Concentration
		58489,	--	Potion of Illusion
		58145,	--	Potion of the Tol'vir
		58488,	--	Potion of Treasure Finding
		58143,	--	Prismatic Elixir
		58091,	--	Volcanic Potion

	--Alchemy Items World Drop ::: WotLK
		44325,	--	Elixir of Accuracy
		44330,	--	Elixir of Armor Piercing
		44327,	--	Elixir of Deadly Strikes
		44329,	--	Elixir of Expertise
		44331,	--	Elixir of Lightning Speed
		39666,	--	Elixir of Mighty Agility
		44328,	--	Elixir of Mighty Defense
		40078,	--	Elixir of Mighty Fortitude
		40109,	--	Elixir of Mighty Mageblood
		40073,	--	Elixir of Mighty Strength
		44332,	--	Elixir of Mighty Thoughts
		40097,	--	Elixir of Protection
		40072,	--	Elixir of Versatility
		46377,	--	Flask of Endless Rage
		46378,	--	Flask of Pure Mojo
		46379,	--	Flask of Stoneblood
		46376,	--	Flask of the Frost Wyrm
		40076,	--	Guru's Elixir
		40067,	--	Icy Mana Potion
		40213,	--	Mighty Arcane Protection Potion
		40214,	--	Mighty Fire Protection Potion
		40215,	--	Mighty Frost Protection Potion
		40216,	--	Mighty Nature Protection Potion
		40217,	--	Mighty Shadow Protection Potion
		40081,	--	Potion of Nightmares
		40211,	--	Potion of Speed
		40212,	--	Potion of Wild Magic
		40087,	--	Powerful Rejuvenation Potion
		39671,	--	Resurgent Healing Potion
		33447,	--	Runic Healing Potion
		33448,	--	Runic Mana Potion
		40070,	--	Spellpower Elixir
		40068,	--	Wrath Elixir

	--Alchemy Items World Drop ::: TBC
		22839,	--	Destruction Potion
		22823,	--	Elixir of Camouflage
		32067,	--	Elixir of Draenic Wisdom
		22848,	--	Elixir of Empowerment
		32068,	--	Elixir of Ironskin
		22831,	--	Elixir of Major Agility
		22834,	--	Elixir of Major Defense
		22833,	--	Elixir of Major Firepower
		32062,	--	Elixir of Major Fortitude
		22827,	--	Elixir of Major Frost Power
		22840,	--	Elixir of Major Mageblood
		22835,	--	Elixir of Major Shadow Power
		22824,	--	Elixir of Major Strength
		28104,	--	Elixir of Mastery
		22830,	--	Elixir of the Searching Eye
		31677,	--	Fel Mana Potion
		31679,	--	Fel Strength Elixir
		22851,	--	Flask of Fortification
		22853,	--	Flask of Mighty Versatility
		22854,	--	Flask of Relentless Assault
		34440,	--	Mad Alchemist's Potion
		22841,	--	Major Fire Protection Potion
		22847,	--	Major Holy Protection Potion
		22844,	--	Major Nature Protection Potion
		22871,	--	Shrouding Potion
		22826,	--	Sneaking Potion
		22829,	--	Super Healing Potion
		22832,	--	Super Mana Potion
		22850,	--	Super Rejuvenation Potion
		28101,	--	Unstable Mana Potion
		
	--Alchemy Items World Drop ::: Classic
		4596,	--	Discolored Healing Potion
		12190,	--	Dreamless Sleep Potion
		2454,	--	Elixir of Lion's Strength
		5997,	--	Elixir of Minor Defense
		8827,	--	Elixir of Water Walking
		6049,	--	Fire Protection Potion
		13512,	--	Flask of Supreme Power
		6050,	--	Frost Protection Potion
		9088,	--	Gift of Arthas
		5633,	--	Great Rage Potion
		13461,	--	Greater Arcane Protection Potion
		20002,	--	Greater Dreamless Sleep Potion
		13457,	--	Greater Fire Protection Potion
		13456,	--	Greater Frost Protection Potion
		1710,	--	Greater Healing Potion
		6149,	--	Greater Mana Potion
		13458,	--	Greater Nature Protection Potion
		13459,	--	Greater Shadow Protection Potion
		929,	--	Healing Potion
		6051,	--	Holy Protection Potion
		858,	--	Lesser Healing Potion
		3385,	--	Lesser Mana Potion
		3387,	--	Limited Invulnerability Potion
		13446,	--	Major Healing Potion
		13444,	--	Major Mana Potion
		3827,	--	Mana Potion
		13442,	--	Mighty Rage Potion
		118,	--	Minor Healing Potion
		2455,	--	Minor Mana Potion
		2456,	--	Minor Rejuvenation Potion
		6052,	--	Nature Protection Potion
		8956,	--	Oil of Immolation
		13462,	--	Purification Potion
		5631,	--	Rage Potion
		9030,	--	Restorative Potion
		6048,	--	Shadow Protection Potion
		3928,	--	Superior Healing Potion
		13443,	--	Superior Mana Potion
		2459,	--	Swiftness Potion
		6372,	--	Swim Speed Potion
		3382,	--	Weak Troll's Blood Elixir
		9144,	--	Wildvine Potion
	
	--Cooking Items World Drops ::: Legion
		133565,	--	Leybeque Ribs
		133566,	--	Suramar Surf and Turf
		133567,	--	Barracuda Mrglgagh
		133568,	--	Koi-Scented Stormray
		133569,	--	Drogbar-Style Salmon

	--Cooking Items World Drops ::: WoD
		111436,	--	Braised Riverbeast

	--Cooking Items World Drops ::: MoP	
		86432,	--	Banana Infused Rum
		87226,	--	Banquet of the Grill
		74646,	--	Black Pepper Ribs and Shrimp
		81412,	--	Blanched Needle Mushrooms
		81405,	--	Boiled Silkworm Pupa
		74642,	--	Charbroiled Tiger Steak
		74656,	--	Chun Tian Spring Rolls
		81404,	--	Dried Needle Mushrooms
		81403,	--	Dried Peaches
		75026,	--	Ginseng Tea
		75016,	--	Great Pandaren Banquet
		81410,	--	Green Curry Fish
		75037,	--	Jade Witch Brew
		75038,	--	Mad Brewer's Breakfast
		74650,	--	Mogu Fish Stew
		74919,	--	Pandaren Banquet
		81411,	--	Peach Pie
		81414,	--	Pearl Milk Tea
		81400,	--	Pounded Rice Cake
		81408,	--	Red Bean Bun
		81406,	--	Roasted Barley Tea
		74648,	--	Sea Mist Rice Noodles
		81413,	--	Skewered Peanut Chicken
		74653,	--	Steamed Crab Surprise
		81409,	--	Tangy Yogurt
		81402,	--	Toasted Fish Jerky
		81401,	--	Yak Cheese Curds

		
	--TBC World Drops
		29740,	--	Fel Armament
		30809, 	--	Mark of Sargeras
	--Lockboxes
		121331, --  Leystone Lockbox
		116920, --  True-Steel-Lockbox
		88567,  --  Ghost-Iron-Lockbox
		68729,  --  Elementium Lockbox
		45986, 	-- 	Tiny Titanium Lockbox
		43624,	--	Titanium Lockbox
		43622, 	--	Froststeel Lockbox
		5760,	--	Eternium Lockbox
		31952,	--	Khorium Lockbox
		4632,	--	Ornate Bronze Lockbox
		4633,	--	Heavy Bronze Lockbox
		4634,	--	Iron Lockbox
		4636,	--	Strong Iron Lockbox
		4637,	--	Steel Lockbox
		4638,	--	Reinforced Lockbox
		5758,	--	Mithril Lockbox
		5759,	--	Thorium Lockbox
	--Crafting Reagents
		111664,	--	Abyssal Gulper Eel
		109143,	--	Abyssal Gulper Eel Flesh
		23425,	--	Adamantite Ore
		36903,	--	Adder's Tongue
		124101,	--	Aethril
		102541,	--	Aged Balsamic Vinegar
		102543,	--	Aged Mogu'shan Cheese
		53065,	--	Albino Cavefish
		108996,	--	Alchemical Catalyst
		76137,	--	Alexandrite
		53071,	--	Algaefin Rockfish
		36931,	--	Ametrine
		102542,	--	Ancient Pandaren Spices
		7909,	--	Aquamarine
		12363,	--	Arcane Crystal
		124440,	--	Arkhana
		8836,	--	Arthas' Tears
		36921,	--	Autumn's Glow
		12800,	--	Azerothian Diamond
		52985,	--	Azshara's Veil
		130174,	--	Azsunite
		23117,	--	Azure Moonstone
		41812,	--	Barrelhead Goby
		62783,	--	Basilisk "Liver"
		27669,	--	Bat Flesh
		35562,	--	Bear Flank
		3173,	--	Bear Meat
		3730,	--	Big Bear Meat
		124119,	--	Big Gamy Ribs
		124112,	--	Black Barracuda
		11754,	--	Black Diamond
		15416,	--	Black Dragonscale
		7971,	--	Black Pearl
		137596,	--	Black Transmutagen
		72094,	--	Black Trillium Ore
		9262,	--	Black Vitriol
		53066,	--	Blackbelly Mudfish
		112156,	--	Blackened Dragonscale Fragment
		109992,	--	Blackrock Fragment
		109118,	--	Blackrock Ore
		111663,	--	Blackwater Whiptail
		109144,	--	Blackwater Whiptail Flesh
		111667,	--	Blind Lake Sturgeon
		109140,	--	Blind Lake Sturgeon Flesh
		8839,	--	Blindweed
		23077,	--	Blood Garnet
		124124,	--	Blood of Sargeras
		11382,	--	Blood of the Mountain
		62791,	--	Blood Shrimp
		80433,	--	Blood Spirit
		36917,	--	Bloodstone
		4611,	--	Blue Pearl
		12361,	--	Blue Sapphire
		2677,	--	Boar Ribs
		2996,	--	Bolt of Linen Cloth
		4339,	--	Bolt of Mageweave
		21840,	--	Bolt of Netherweave
		14048,	--	Bolt of Runecloth
		4305,	--	Bolt of Silk Cloth
		82441,	--	Bolt of Windwool Cloth
		2997,	--	Bolt of Woolen Cloth
		33568,	--	Borean Leather
		33567,	--	Borean Leather Scraps
		41805,	--	Borean Man O' War
		7081,	--	Breath of Wind
		2450,	--	Briarthorn
		109624,	--	Broken Frostweed Stem
		4382,	--	Bronze Framework
		4371,	--	Bronze Tube
		2453,	--	Bruiseweed
		110611,	--	Burnished Leather
		43104,	--	Burnt Pigment
		27671,	--	Buzzard Meat
		3404,	--	Buzzard Wing
		36919,	--	Cardinal Ruby
		36923,	--	Chalcedony
		124442,	--	Chaos Crystal
		52078,	--	Chaos Orb
		130175,	--	Chaotic Spinel
		43013,	--	Chilled Meat
		21024,	--	Chimaerok Tenderloin
		52196,	--	Chimera's Eye
		27677,	--	Chunk o' Basilisk
		34736,	--	Chunk o' Mammoth
		769,	--	Chunk of Boar Meat
		52983,	--	Cinderbloom
		3864,	--	Citrine
		5503,	--	Clam Meat
		27678,	--	Clefthoof Meat
		3857,	--	Coal
		4364,	--	Coarse Blasting Powder
		2836,	--	Coarse Stone
		36909,	--	Cobalt Ore
		62786,	--	Cocoa Beans
		2770,	--	Copper Ore
		7075,	--	Core of Earth
		2673,	--	Coyote Meat
		2886,	--	Crag Boar Rib
		2675,	--	Crawler Claw
		2674,	--	Crawler Meat
		32227,	--	Crimson Spinel
		2924,	--	Crocolisk Meat
		62784,	--	Crocolisk Tail
		22644,	--	Crunchy Spider Leg
		47556,	--	Crusader Orb
		3371,	--	Crystal Vial
		37700,	--	Crystallized Air
		37701,	--	Crystallized Earth
		37702,	--	Crystallized Fire
		37704,	--	Crystallized Life
		37703,	--	Crystallized Shadow
		37705,	--	Crystallized Water
		124107,	--	Cursed Queenfish
		36932,	--	Dark Jade
		20520,	--	Dark Rune
		124669,	--	Darkmoon Daggermaw
		130180,	--	Dawnlight
		23440,	--	Dawnstone
		37921,	--	Deadnettle
		62323,	--	Deathwing Scale Fragment
		130173,	--	Deep Amber
		23079,	--	Deep Peridot
		41800,	--	Deep Sea Monsterbelly
		8150,	--	Deeprock Salt
		53072,	--	Deepsea Sagefish
		62785,	--	Delicate Wing
		12662,	--	Demonic Rune
		12365,	--	Dense Stone
		6470,	--	Deviate Scale
		5051,	--	Dig Rat
		3164,	--	Discolored Worg Heart
		109693,	--	Draenic Dust
		62782,	--	Dragon Flank
		41807,	--	Dragonfin Angelfish
		42225,	--	Dragon's Eye
		3819,	--	Dragon's Teeth
		36928,	--	Dreadstone
		13463,	--	Dreamfoil
		22786,	--	Dreaming Glory
		124102,	--	Dreamleaf
		129285,	--	Dreamleaf Seed
		2449,	--	Earthroot
		7069,	--	Elemental Air
		23781,	--	Elemental Blasting Powder
		7067,	--	Elemental Earth
		7068,	--	Elemental Fire
		7070,	--	Elemental Water
		18562,	--	Elementium Ingot
		52185,	--	Elementium Ore
		53010,	--	Embersilk Cloth
		74859,	--	Emperor Salmon
		32228,	--	Empyrean Sapphire
		111671,	--	Enormous Abyssal Gulper Eel
		27516,	--	Enormous Barbed Gill Trout
		111670,	--	Enormous Blackwater Whiptail
		111674,	--	Enormous Blind Lake Sturgeon
		111675,	--	Enormous Fat Sleeper
		111673,	--	Enormous Fire Ammonite
		111676,	--	Enormous Jawless Skulker
		118566,	--	Enormous Savage Piranha
		111672,	--	Enormous Sea Scorpion
		7082,	--	Essence of Air
		71998,	--	Essence of Destruction
		7076,	--	Essence of Earth
		7078,	--	Essence of Fire
		12808,	--	Essence of Undeath
		7080,	--	Essence of Water
		35623,	--	Eternal Air
		35624,	--	Eternal Earth
		36860,	--	Eternal Fire
		35625,	--	Eternal Life
		23427,	--	Eternium Ore
		38426,	--	Eternium Thread
		74247,	--	Ethereal Shard
		72120,	--	Exotic Leather
		130179,	--	Eye of Prophecy
		36934,	--	Eye of Zul
		3818,	--	Fadeleaf
		142336,	--	Falcosaur Egg
		41810,	--	Fangtooth Herring
		111668,	--	Fat Sleeper
		109139,	--	Fat Sleeper Flesh
		53070,	--	Fathom Eel
		124118,	--	Fatty Bearsteak
		128499,	--	Fel Egg
		128500,	--	Fel Ham
		23445,	--	Fel Iron Bar
		23424,	--	Fel Iron Ore
		22794,	--	Fel Lotus
		140784,	--	Fel Piston Stabilizer
		127759,	--	Felblight
		14256,	--	Felcloth
		124116,	--	Felhide
		123919,	--	Felslate
		22785,	--	Felweed
		124106,	--	Felwort
		17010,	--	Fiery Core
		27435,	--	Figluster's Mudfish
		111666,	--	Fire Ammonite
		109141,	--	Fire Ammonite Tentacle
		39970,	--	Fire Leaf
		4625,	--	Firebloom
		6359,	--	Firefin Snapper
		109125,	--	Fireweed
		124104,	--	Fjarnskaggl
		21929,	--	Flame Spessarite
		814,	--	Flask of Oil
		79011,	--	Fool's Cap
		36933,	--	Forest Emerald
		124103,	--	Foxflower
		115504,	--	Fractured Temporal Crystal
		102536,	--	Fresh Lushroom
		102538,	--	Fresh Shao-Tien Rice
		102537,	--	Fresh Silkfeather Hawk Eggs
		36908,	--	Frost Lotus
		39683,	--	Froststeel Tube
		33470,	--	Frostweave Cloth
		109124,	--	Frostweed
		43102,	--	Frozen Orb
		27439,	--	Furious Crawdad
		130178,	--	Furystone
		7191,	--	Fused Wiring
		111366,	--	Gearspring Parts
		129100,	--	Gem Chip
		72092,	--	Ghost Iron Ore
		8845,	--	Ghost Mushroom
		4655,	--	Giant Clam Meat
		12207,	--	Giant Egg
		74857,	--	Giant Mantis Shrimp
		62781,	--	Giant Turtle Tongue
		41809,	--	Glacial Salmon
		41814,	--	Glassfin Minnow
		7079,	--	Globe of Water
		9061,	--	Goblin Rocket Fuel
		3577,	--	Gold Bar
		2776,	--	Gold Ore
		74866,	--	Golden Carp
		27438,	--	Golden Darter
		23112,	--	Golden Draenite
		72238,	--	Golden Lotus
		13926,	--	Golden Pearl
		13464,	--	Golden Sansam
		3821,	--	Goldthorn
		2251,	--	Gooey Spider Leg
		723,	--	Goretusk Liver
		109126,	--	Gorgrond Flytrap
		3369,	--	Grave Moss
		74840,	--	Green Cabbage
		15412,	--	Green Dragonscale
		72234,	--	Green Tea Leaf
		8846,	--	Gromsblood
		12809,	--	Guardian Stone
		4389,	--	Gyrochronatom
		39681,	--	Handful of Cobalt Bolts
		4359,	--	Handful of Copper Bolts
		23783,	--	Handful of Fel Iron Bolts
		142266,	--	Handful of Gizmos
		140785,	--	Hardened Circuitboard Plating
		144329,	--	Hardened Felglass
		138296,	--	Hatecoil Glyptic
		94289,	--	Haunting Spirit
		32428,	--	Heart of Darkness
		7077,	--	Heart of Fire
		10286,	--	Heart of the Wild
		52986,	--	Heartblossom
		4377,	--	Heavy Blasting Powder
		4235,	--	Heavy Hide
		23793,	--	Heavy Knothide Leather
		12204,	--	Heavy Kodo Meat
		4234,	--	Heavy Leather
		56516,	--	Heavy Savage Leather
		15408,	--	Heavy Scorpid Scale
		2838,	--	Heavy Stone
		111556,	--	Hexweave Cloth
		77468,	--	High-Explosive Gunpowder
		53064,	--	Highland Guppy
		124109,	--	Highmountain Salmon
		36929,	--	Huge Citrine
		12364,	--	Huge Emerald
		27515,	--	Huge Spotted Feltail
		19441,	--	Huge Venom Sac
		13467,	--	Icecap
		27437,	--	Icefin Bluefish
		36906,	--	Icethorn
		42253,	--	Iceweb Spider Silk
		7972,	--	Ichor of Undeath
		38557,	--	Icy Dragonscale
		112158,	--	Icy Dragonscale Fragment
		76141,	--	Imperial Amethyst
		41802,	--	Imperial Manta Ray
		82447,	--	Imperial Silk
		124444,	--	Infernal Brimstone
		9060,	--	Inlaid Mithril Cylinder
		5500,	--	Iridescent Pearl
		2772,	--	Iron Ore
		4387,	--	Iron Strut
		14227,	--	Ironweb Spider Silk
		1529,	--	Jade
		74856,	--	Jade Lungfish
		74847,	--	Jade Squash
		24477,	--	Jaggal Clam Meat
		24478,	--	Jaggal Pearl
		111669,	--	Jawless Skulker
		109138,	--	Jawless Skulker Flesh
		74863,	--	Jewel Danio
		74841,	--	Juicycrunch Carrot
		3358,	--	Khadgar's Whisker
		23426,	--	Khorium Ore
		36922,	--	King's Amber
		3356,	--	Kingsblood
		25649,	--	Knothide Leather Scraps
		5467,	--	Kodo Meat
		74865,	--	Krasarang Paddlefish
		72093,	--	Kyparite
		76133,	--	Lapis Lazuli
		5637,	--	Large Fang
		22203,	--	Large Obsidian Shard
		12799,	--	Large Opal
		1288,	--	Large Venom Sac
		17011,	--	Lava Core
		53068,	--	Lavascale Catfish
		124117,	--	Lean Shank
		1015,	--	Lean Wolf Flank
		1705,	--	Lesser Moonstone
		124120,	--	Leyblood
		124441,	--	Leylight Shard
		123918,	--	Leystone Ore
		36905,	--	Lichbloom
		3357,	--	Liferoot
		17056,	--	Light Feather
		783,	--	Light Hide
		2318,	--	Light Leather
		13757,	--	Lightning Eel
		2589,	--	Linen Cloth
		3731,	--	Lion Meat
		32229,	--	Lionseye
		69237,	--	Living Ember
		12803,	--	Living Essence
		23436,	--	Living Ruby
		136633,	--	Loose Trigger
		111245,	--	Luminous Shard
		27668,	--	Lynx Meat
		130182,	--	Maelstrom Sapphire
		785,	--	Mageroyal
		4338,	--	Mageweave Cloth
		72163,	--	Magnificent Hide
		36925,	--	Majestic Zircon
		774,	--	Malachite
		22793,	--	Mana Thistle
		19943,	--	Massive Mojo
		12223,	--	Meaty Bat Wing
		4232,	--	Medium Hide
		2319,	--	Medium Leather
		10561,	--	Mithril Casing
		3858,	--	Mithril Ore
		74842,	--	Mogu Pumpkin
		36930,	--	Monarch Topaz
		62779,	--	Monstrous Claw
		41801,	--	Moonglow Cuttlefish
		23676,	--	Moongraze Stag Tenderloin
		1206,	--	Moss Agate
		124108,	--	Mossgill Perch
		22572,	--	Mote of Air
		22573,	--	Mote of Earth
		22574,	--	Mote of Fire
		89112,	--	Mote of Harmony
		22575,	--	Mote of Life
		22576,	--	Mote of Mana
		22577,	--	Mote of Shadow
		22578,	--	Mote of Water
		13465,	--	Mountain Silversage
		53063,	--	Mountain Trout
		53069,	--	Murglesnout
		1468,	--	Murloc Fin
		74834,	--	Mushan Ribs
		41806,	--	Musselback Sculpin
		74250,	--	Mysterious Essence
		12037,	--	Mystery Meat
		7072,	--	Naga Scale
		109128,	--	Nagrand Arrowbloom
		38558,	--	Nerubian Chitin
		112177,	--	Nerubian Chitin Fragment
		30183,	--	Nether Vortex
		22791,	--	Netherbloom
		21877,	--	Netherweave Cloth
		21881,	--	Netherweb Spider Silk
		41813,	--	Nettlefish
		22792,	--	Nightmare Vine
		23441,	--	Nightseye
		23439,	--	Noble Topaz
		133912,	--	Nomi's Silver Mackerel
		43501,	--	Northern Egg
		43007,	--	Northern Spices
		36783,	--	Northsea Pearl
		53038,	--	Obsidium Ore
		18240,	--	Ogre Tannin
		6358,	--	Oily Blackmouth
		137597,	--	Oily Transmutagen
		39682,	--	Overcharged Capacitor
		136637,	--	Oversized Blasting Cap
		76136,	--	Pandarian Garnet
		130181,	--	Pandemonite
		2447,	--	Peacebloom
		6471,	--	Perfect Deviate Scale
		74849,	--	Pink Turnip
		12804,	--	Powerful Mojo
		140783,	--	Predictive Combat Operations Databank
		67319,	--	Preserved Ogre Eye
		22451,	--	Primal Air
		76132,	--	Primal Diamond
		22452,	--	Primal Earth
		21884,	--	Primal Fire
		23572,	--	Primal Nether
		120945,	--	Primal Spirit
		21885,	--	Primal Water
		76131,	--	Primordial Ruby
		49908,	--	Primordial Saronite
		79101,	--	Prismatic Scale
		18335,	--	Pristine Black Diamond
		142335,	--	Pristine Falcosaur Feather
		8831,	--	Purple Lotus
		40195,	--	Pygmy Oil
		40199,	--	Pygmy Suckerfish
		32231,	--	Pyrestone
		52183,	--	Pyrite Ore
		130177,	--	Queen's Opal
		22787,	--	Ragveil
		72237,	--	Rain Poppy
		3685,	--	Raptor Egg
		12184,	--	Raptor Flesh
		4461,	--	Raptor Hide
		31670,	--	Raptor Ribs
		27674,	--	Ravager Flesh
		110609,	--	Raw Beast Hide
		110610,	--	Raw Beast Hide Scraps
		109136,	--	Raw Boar Meat
		6291,	--	Raw Brilliant Smallfish
		6308,	--	Raw Bristle Whisker Catfish
		109131,	--	Raw Clefthoof Meat
		74838,	--	Raw Crab Meat
		75014,	--	Raw Crocolisk Belly
		109134,	--	Raw Elekk Meat
		21153,	--	Raw Greater Sagefish
		6317,	--	Raw Loch Frenzy
		6289,	--	Raw Longjaw Mud Snapper
		6361,	--	Raw Rainbow Fin Albacore
		109135,	--	Raw Riverbeast Meat
		6362,	--	Raw Rockscale Cod
		21071,	--	Raw Sagefish
		6303,	--	Raw Slitherskin Mackerel
		4603,	--	Raw Spotted Yellowtail
		109132,	--	Raw Talbuk Meat
		74833,	--	Raw Tiger Steak
		74837,	--	Raw Turtle Meat
		74844,	--	Red Blossom Leek
		15414,	--	Red Dragonscale
		12203,	--	Red Wolf Meat
		74860,	--	Redbelly Mandarin
		74864,	--	Reef Octopus
		43012,	--	Rhino Meat
		12811,	--	Righteous Orb
		76138,	--	River's Heart
		76135,	--	Roguestone
		2835,	--	Rough Stone
		8170,	--	Rugged Leather
		14047,	--	Runecloth
		45087,	--	Runed Orb
		124111,	--	Runescale Koi
		127037,	--	Runic Catgut
		109133,	--	Rylak Egg
		20424,	--	Sandworm Meat
		130172,	--	Sangrite
		118472,	--	Savage Blood
		74843,	--	Scallions
		36918,	--	Scarlet Ruby
		8154,	--	Scorpid Scale
		5466,	--	Scorpid Stinger
		79731,	--	Scroll of Wisdom
		111665,	--	Sea Scorpion
		109142,	--	Sea Scorpion Segment
		32249,	--	Seaspray Emerald
		31671,	--	Serpent Flesh
		74248,	--	Sha Crystal
		36926,	--	Shadow Crystal
		23107,	--	Shadow Draenite
		24479,	--	Shadow Pearl
		10285,	--	Shadow Silk
		1210,	--	Shadowgem
		130183,	--	Shadowruby
		32230,	--	Shadowsong Amethyst
		124437,	--	Shal'dorei Silk
		5635,	--	Sharp Claw
		72162,	--	Sha-Touched Leather
		43009,	--	Shoveltusk Flank
		4306,	--	Silk Cloth
		72235,	--	Silkweed
		2842,	--	Silver Bar
		67335,	--	Silver Charm Bracelet
		2775,	--	Silver Ore
		765,	--	Silverleaf
		36784,	--	Siren's Tear
		36924,	--	Sky Sapphire
		130176,	--	Skystone
		133680,	--	Slice of Bacon
		5784,	--	Slimy Murloc Scale
		111659,	--	Small Abyssal Gulper Eel
		111662,	--	Small Blackwater Whiptail
		111652,	--	Small Blind Lake Sturgeon
		6889,	--	Small Egg
		111651,	--	Small Fat Sleeper
		111656,	--	Small Fire Ammonite
		4402,	--	Small Flame Sac
		111650,	--	Small Jawless Skulker
		5498,	--	Small Lustrous Pearl
		22202,	--	Small Obsidian Shard
		118564,	--	Small Savage Piranha
		111658,	--	Small Sea Scorpion
		5465,	--	Small Spider Leg
		1475,	--	Small Venom Sac
		62780,	--	Snake Eye
		136636,	--	Sniping Scope
		79010,	--	Snow Lily
		5468,	--	Soft Frenzy Flesh
		10505,	--	Solid Blasting Powder
		7912,	--	Solid Stone
		113264,	--	Sorcerous Air
		113263,	--	Sorcerous Earth
		113261,	--	Sorcerous Fire
		113262,	--	Sorcerous Water
		13466,	--	Sorrowmoss
		21882,	--	Soul Essence
		3182,	--	Spider's Silk
		83064,	--	Spinefish
		74249,	--	Spirit Dust
		76061,	--	Spirit of Harmony
		27425,	--	Spotted Feltail
		67229,	--	Stag Flank
		5471,	--	Stag Meat
		23438,	--	Star of Elune
		7910,	--	Star Ruby
		109127,	--	Starflower
		124105,	--	Starlight Rose
		129288,	--	Starlight Rose Seed
		124113,	--	Stonehide Leather
		13422,	--	Stonescale Eel
		124110,	--	Stormray
		124115,	--	Stormscale
		52984,	--	Stormvine
		3820,	--	Stranglekelp
		5469,	--	Strider Meat
		2672,	--	Stringy Wolf Meat
		74848,	--	Striped Melon
		36782,	--	Succulent Clam Meat
		17203,	--	Sulfuron Ingot
		111557,	--	Sumptuous Fur
		36920,	--	Sun Crystal
		8838,	--	Sungrass
		34664,	--	Sunmote
		76142,	--	Sun's Radiance
		76134,	--	Sunstone
		2452,	--	Swiftthistle
		115524,	--	Taladite Crystal
		109129,	--	Talador Orchid
		36907,	--	Talandra's Rose
		23437,	--	Talasite
		27682,	--	Talbuk Venison
		5504,	--	Tangy Clam Meat
		113588,	--	Temporal Crystal
		12206,	--	Tender Crab Meat
		3667,	--	Tender Crocolisk Meat
		12208,	--	Tender Wolf Meat
		22789,	--	Terocone
		8169,	--	Thick Hide
		4304,	--	Thick Leather
		5785,	--	Thick Murloc Scale
		4337,	--	Thick Spider's Silk
		5082,	--	Thin Kodo Leather
		5470,	--	Thunder Lizard Tail
		74861,	--	Tiger Gourami
		36904,	--	Tiger Lily
		12202,	--	Tiger Meat
		76130,	--	Tiger Opal
		818,	--	Tigerseye
		2771,	--	Tin Ore
		1080,	--	Tough Condor Meat
		62778,	--	Toughened Flesh
		136638,	--	True Iron Barrel
		109991,	--	True Iron Nugget
		109119,	--	True Iron Ore
		6037,	--	Truesilver Bar
		7911,	--	Truesilver Ore
		108257,	--	Truesteel Ingot
		3712,	--	Turtle Meat
		52987,	--	Twilight Jasmine
		36927,	--	Twilight Opal
		124438,	--	Unbroken Claw
		124439,	--	Unbroken Tooth
		76140,	--	Vermilion Onyx
		137595,	--	Viscous Transmutagen
		85506,	--	Viseclaw Meat
		52328,	--	Volatile Air
		39690,	--	Volatile Blasting Trigger
		52327,	--	Volatile Earth
		52325,	--	Volatile Fire
		52329,	--	Volatile Life
		52326,	--	Volatile Water
		112377,	--	War Paints
		27681,	--	Warped Flesh
		52988,	--	Whiptail
		12205,	--	White Spider Meat
		72103,	--	White Trillium Ore
		74850,	--	White Turnip
		76139,	--	Wild Jade
		3355,	--	Wild Steelbloom
		44834,	--	Wild Turkey
		74839,	--	Wildfowl Breast
		124121,	--	Wildfowl Egg
		8153,	--	Wildvine
		72988,	--	Windwool Cloth
		74846,	--	Witchberries
		2592,	--	Wool Cloth
		43011,	--	Worg Haunch
		43010,	--	Worm Meat
		8165,	--	Worn Dragonscale
		140781,	--	X-87 Battle Circuit
		128304,	--	Yseralline Seed
		27429,	--	Zangarian Sporefish
		7974,	--	Zesty Clam Meat
};